Bug 183394 - Broken dependency between openal and blender on x86_64
Broken dependency between openal and blender on x86_64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openal (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-28 15:15 EST by Adam Pribyl
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-28 16:29:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2006-02-28 15:15:29 EST
Description of problem:
Latest update of openal broke dependencies for blender as it is in extras for
64bit FC4. The blender requires libopenal.so.0 but newest openal
0.0.9-0.3.20060226cvs.fc4 provides only libopenal.so.1.

Version-Release number of selected component (if applicable):
 openal                  x86_64     0.0.9-0.3.20060226cvs.fc4
blender.x86_64 0:2.41-2.fc4

How reproducible:
Always


Steps to Reproduce:
1. Install blender
2. yum update
or
1. yum update
2. Install blender
  
Actual results:
Error: Missing Dependency: libopenal.so.0()(64bit) is needed by package blender


Expected results:
Either update of blender with libopenal.so.1 or add libopenal.so.0 link into
openal package if suitable.

Additional info:
Comment 1 Andreas Bierfert 2006-02-28 16:29:09 EST
This has been fixed by openal version 0.0.9-0.5.20060204cvs.
Comment 2 Adam Pribyl 2006-03-01 07:01:58 EST
Well, I found it now in development only repository... so it is a bug. ->
NEXTRELEASE
Comment 3 Andreas Bierfert 2006-03-01 07:06:00 EST
Well but not a blender bug... so changing to openal.
Comment 4 Michael Schwendt 2006-03-01 07:29:37 EST
Adam,

openal-0.0.9-0.4.20060204cvs.fc4.x86_64.rpm  _is_ in the FC-4 repository
of Fedora Extras, so what you write about "in development only repository"
doesn't make sense.

$ rpm -qp --provides openal-0.0.9-0.4.20060204cvs.fc4.x86_64.rpm 
config(openal) = 0.0.9-0.4.20060204cvs.fc4
libopenal.so.0()(64bit)  
openal = 0.0.9-0.4.20060204cvs.fc4
Comment 5 Adam Pribyl 2006-03-01 08:36:58 EST
OK to change that to openal bug.

2Michael: Andreas Bierfert wrote it is fixed in 0.0.9-0.5.20060204cvs. So if
there is already 0.0.9-0.4 that fixes it then it is ok - it is in repo, but was
not yesterday. Thanx
Comment 6 Michael Schwendt 2006-03-01 09:15:59 EST
openal-0.0.9-0.4.20060204cvs.fc4 was pushed
 Mon, 27 Feb 2006 13:13:05 -0500 (EST)
see Fedora Extras 4 Package Build Report ;)

Note You need to log in before you can comment on or make changes to this bug.